#! /bin/sh
# (*
. ./env.sh
exec $bin/ocamlfattop "$0"
*) directory ".";;

(* $Id: classifications_editor.cgi,v 1.2 1999/05/18 20:20:54 gerd Exp $
 * ----------------------------------------------------------------------
 *
 *)

#directory "../lib";;
#directory "../custom";;
#load "lib.cma";;
#load "custom.cma";;

open Common;;
open Fragment;;


class editor =
  object(self)
    inherit Cats_ed.editor 
	"classifications_editor.cgi" "classifications_editor" "classifications" 
	as super

    method config_using_tables() =
      [ "orig_links", "classification";
	"rep_links", "classification";
      ]	

    method reply_select() =
      let r = super # reply_select() in
      let protect f x =
	try f x 
	with Not_found -> 
	  failwith "Classifications_editor.editor # reply_select" in

      r @ [ "return_form",   Verbatim(protect return_form());
	    "return_text",   Escape_html(protect caller())
	  ]

  end
;;


let main() =
  (new editor) # invoke();
  bottom_navigator()
;;

html_header();
do_protected main;;



(* ======================================================================
 * History:
 * 
 * $Log: classifications_editor.cgi,v $
 * Revision 1.2  1999/05/18 20:20:54  gerd
 * 	reply_select assigns values to "return_form" and "return_text",
 * which is needed for the new "return" button.
 *
 * Revision 1.1  1999/05/13 12:51:33  gerd
 * 	Initial revision.
 *
 * 
 *)
