#! /bin/sh
# (*
. ./env.sh
exec $bin/ocamlfattop "$0"
*) directory ".";;

(* $Id: link_editor_orig.cgi,v 1.2 1999/05/18 20:23:34 gerd Exp $
 * ----------------------------------------------------------------------
 *
 *)

#directory "../lib";;
#directory "../custom";;
#load "lib.cma";;
#load "custom.cma";;

open Common;;
open Fragment;;


let main() =
  let all_tabs = [ "orig_links"; "rep_links" ] in
  let editors =
    [ "orig_links", 
        new Links_ed.editor 
	  "link_editor_orig.cgi" "link_editor_orig" "orig_links" all_tabs;
      "rep_links", 
        new Links_ed.editor 
	  "link_editor_rep.cgi" "link_editor_rep" "rep_links" all_tabs;
    ]  in
  Links_ed.switch editors;
  bottom_navigator()
;;


if param "action_add_class" <> "" or param "action_add_class.x" <> "" then begin
  (* Do a redirect *)
  try
    redirect_call_this
      "classifications_editor.cgi"
      [ "edit_page", "select" ]
      [ "name"; "password"; "frames" ]
      "link_editor_orig.cgi"
      "Link Editor"
      [ "action_add_class"; "action_add_class.x"; "action_add_class.y" ]
  with
    any ->
      (* generate error message: *)
      html_header();
      do_protected (fun () -> raise any)
end else begin
  html_header();
  do_protected main
end
;;

(* ======================================================================
 * History:
 * 
 * $Log: link_editor_orig.cgi,v $
 * Revision 1.2  1999/05/18 20:23:34  gerd
 * 	If the classfications editor is invoked, this is done by a
 * simple redirect mechanism.
 *
 * Revision 1.1  1999/05/13 12:39:30  gerd
 * 	'link_editor.cgi' has been given up in favour of 'link_editor_x.cgi'
 * where x in {'orig','rep'}. This change reflects the new data model.
 *
 * 
 *)
