#! /bin/sh
# (*
. ./env.sh
exec $bin/ocamlfattop "$0"
*) directory ".";;

(* $Id: pass.cgi,v 1.4 2000/04/09 17:13:03 gerd Exp $
 * ----------------------------------------------------------------------
 * This script has two parameters:
 * - HTML: A HTML page that may contain a "@AUTO@" parameters
 * - AUTO: automatic parameters that should be passed
 * any other parameters are copied to AUTO.
 *)


#directory "../lib";;
#directory "../custom";;
#load "lib.cma";;
#load "custom.cma";;

open Common;;
open Wbuffer;;
open Fragment;;

let main() =	
  let filename = param "HTML" in

  let frames = (any_param "frames" = "true") in

  List.iter
    (fun name ->
      if name <> "HTML" & name <> "AUTO" then
	set_auto_param name (param name))
    (param_list());

  let head = top_navigator_as_string() in
  let foot = bottom_navigator_as_string() in

  if String.contains filename '/' then (
    do_protected(fun () -> failwith "Forbidden!");
    exit 0;
  );

  include_file filename 
    []
    [ "AUTO",  Verbatim(encoded_auto_params());
      "HEAD",  Verbatim(head);
      "FOOT",  Verbatim(foot);
      "IFFRAMES",         Verbatim(if frames then "" else "<!-- ");
      "END_IFFRAMES",     Verbatim(if frames then "" else " -->");
      "IFNOFRAMES",       Verbatim(if frames then "<!-- " else "");
      "END_IFNOFRAMES",   Verbatim(if frames then " -->" else "");
    ]
;;


html_header();
do_protected main;;

(* ======================================================================
 * History:
 * 
 * $Log: pass.cgi,v $
 * Revision 1.4  2000/04/09 17:13:03  gerd
 * 	Update: renaming Buffer into Wbuffer.
 *
 * Revision 1.3  1999/04/25 18:32:59  gerd
 * 	Minor changes.
 *
 * Revision 1.2  1999/04/18 23:08:28  gerd
 * 	Major change: The CGI programs can now handle with typed DB tables.
 * 	Change: link_change.fragment no longer exists
 *
 * Revision 1.1  1999/02/21 17:52:15  gerd
 * 	Added automatic parameters.
 * 	Added support for browsers without frames.
 *
 *)
