(* $Id: record.mli,v 1.1 1999/04/18 23:14:11 gerd Exp $
 * ----------------------------------------------------------------------
 *
 *)


class type record_type =
  object
    method id : unit -> int
    method field : string -> Field.field
    method setrec : (string * Field.field) list -> unit
  end

class type table_type =
  object
    method get_derived_field : record_type -> string -> Field.field
  end

class record :
    #table_type ->
    Scheme.scheme -> int -> (string * Field.field) list ->
      object
	method id : unit -> int
	method field : string -> Field.field
	method setrec : (string * Field.field) list -> unit
      end

val field : record -> string -> Field.field
val id : record -> int


(* ======================================================================
 * History:
 * 
 * $Log: record.mli,v $
 * Revision 1.1  1999/04/18 23:14:11  gerd
 * 	Major change: The Db tables have now typed attributes. The
 * attributes are represented as Field.field, grouped in records by
 * Record.record and stored in tables by File_base.t as before. A Scheme.scheme
 * is the signature of a table.
 * 	Change: Layout tries to encapsulate some of the layout properties
 * of tables.
 *
 * 
 *)
